using System;
namespace HySoft.BaseCallCenter.Model
{
	/// <summary>
	/// T_Wf_WorkFlow:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_Wf_WorkFlow
	{
		public T_Wf_WorkFlow()
		{}
		#region Model
		private int _f_id;
		private string _f_name;
		private int? _f_categoryid;
		private string _f_categoryname;
		private bool? _f_state= false;
		private DateTime? _f_startdate;
		private DateTime? _f_createdate;
		private int? _f_createby;
		private string _f_createname;
		private DateTime? _f_editdate;
		private int? _f_editby;
		private string _f_editname;
		private string _f_xml;
		private int? _f_entityid;
		private int? _f_markid;
		private bool? _f_useless= false;
		private int? _f_verid;
		/// <summary>
		/// 
		/// </summary>
		public int F_ID
		{
			set{ _f_id=value;}
			get{return _f_id;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_Name
		{
			set{ _f_name=value;}
			get{return _f_name;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? F_CategoryID
		{
			set{ _f_categoryid=value;}
			get{return _f_categoryid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_CategoryName
		{
			set{ _f_categoryname=value;}
			get{return _f_categoryname;}
		}
		/// <summary>
		/// 
		/// </summary>
		public bool? F_State
		{
			set{ _f_state=value;}
			get{return _f_state;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? F_StartDate
		{
			set{ _f_startdate=value;}
			get{return _f_startdate;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? F_CreateDate
		{
			set{ _f_createdate=value;}
			get{return _f_createdate;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? F_CreateBy
		{
			set{ _f_createby=value;}
			get{return _f_createby;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_CreateName
		{
			set{ _f_createname=value;}
			get{return _f_createname;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? F_EditDate
		{
			set{ _f_editdate=value;}
			get{return _f_editdate;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? F_EditBy
		{
			set{ _f_editby=value;}
			get{return _f_editby;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_EditName
		{
			set{ _f_editname=value;}
			get{return _f_editname;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_XML
		{
			set{ _f_xml=value;}
			get{return _f_xml;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? F_EntityId
		{
			set{ _f_entityid=value;}
			get{return _f_entityid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? F_MarkId
		{
			set{ _f_markid=value;}
			get{return _f_markid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public bool? F_Useless
		{
			set{ _f_useless=value;}
			get{return _f_useless;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? F_VerID
		{
			set{ _f_verid=value;}
			get{return _f_verid;}
		}
		#endregion Model

	}
}

